#import "sangmane_orderwnd.dll"
	int sangmane_orderwnd(int hwnd, string symbol, double& volume[], int& sl[], int& tp[]);

int start()
{	
	string symbol="123456789012";
	double avolume[1];
	int asl[1], atp[1];
	int slippage = 9;
	int hwnd = WindowHandle(Symbol(),Period());
	int orderType = sangmane_orderwnd(hwnd,symbol, avolume, asl, atp);
	if(orderType<0) {
		Print("sangmane Order Window has been installed.");
		return;
	}
	
	double pip = Point;
	int digits = MarketInfo(symbol,MODE_DIGITS);
	if(digits==3 || digits==5) pip = 10*Point;
	double volume = avolume[0];
	double sl = asl[0];
	double tp = atp[0];

	RefreshRates();
	double price;
	if(orderType==OP_BUY) price = MarketInfo(symbol,MODE_ASK);
	else price = MarketInfo(symbol,MODE_BID);
	int ticket = OrderSend(symbol, orderType, volume, price, slippage, 0, 0, "Sent by orderwnd",0,CLR_NONE);
	if(ticket>0) {
		if(tp>0 || sl>0) {		
			OrderSelect(ticket,SELECT_BY_TICKET);			
			double ordTP=0, ordSL=0;
			if(orderType==OP_BUY) {
				if(tp>0) ordTP = OrderOpenPrice()+tp*pip;
				if(sl>0) ordSL = OrderOpenPrice()-sl*pip;
			}
			else {
				if(tp>0) ordTP = OrderOpenPrice()-tp*pip;
				if(sl>0) ordSL = OrderOpenPrice()+sl*pip;			
			}
			OrderModify(OrderTicket(),OrderOpenPrice(),ordSL,ordTP,0,CLR_NONE);
		}
	}
	return;
}
//+------------------------------------------------------------------+